polybori::MonomialFactory Class Reference

This base class MonomialFactory is used for currying monomial constructors with a BoolePolyRing. More...

`#include <MonomialFactory.h>`

Inheritance diagram for polybori::MonomialFactory:

## Public Types

typedef base::parent_type | parent_type
| Type of parent. More...
typedef BooleMonomial | value_type
| We construct element of this type. More...
Public Types inherited from polybori::CFactoryBase
typedef BoolePolyRing | parent_type
| Type of parent. More...

## Public Member Functions

| MonomialFactory (const parent_type &ring)
| Construct from given ring. More...
| MonomialFactory (const self &rhs)
| Copy constructor. More...
| ~MonomialFactory ()
| Destructor. More...
value_type | operator() () const
| Get first variable of the ring. More...
value_type | operator() (const value_type::ring_type &ring) const
| Get first variable of explicit ring. More...
value_type | operator() (const value_type &rhs) const
| Indirect copy constructor. More...
value_type | operator() (value_type::var_type var) const
| Construct from Boolean variable (does not need ring) More...
value_type | operator() (const value_type::exp_type &rhs) const
| Construct from exponent vector. More...
value_type | operator() (const value_type::exp_type &rhs, const value_type::ring_type &ring) const
| Construct from exponent vector and explicit ring. More...
Public Member Functions inherited from polybori::CFactoryBase
| CFactoryBase (const parent_type &parent)
| Default constructor. More...
| CFactoryBase (const self &rhs)
| Copy constructor. More...
| ~CFactoryBase ()
| Destructor. More...
const parent_type & | parent () const
| Access delayed data. More...

## Detailed Description

This base class MonomialFactory is used for currying monomial constructors with a BoolePolyRing.

## Member Typedef Documentation

typedef base::parent_type polybori::MonomialFactory::parent_type

Type of parent.

typedef BooleMonomial polybori::MonomialFactory::value_type

We construct element of this type.

## Constructor & Destructor Documentation

polybori::MonomialFactory::MonomialFactory | ( | const parent_type & | ring | ) |

inline

Construct from given ring.

polybori::MonomialFactory::MonomialFactory | ( | const self & | rhs | ) |

inline

Copy constructor.

polybori::MonomialFactory::~MonomialFactory | ( |  | ) |

inline

Destructor.

## Member Function Documentation

value_type polybori::MonomialFactory::operator() | ( |  | ) | const

inline

Get first variable of the ring.

value_type polybori::MonomialFactory::operator() | ( | const value_type::ring_type & | ring | ) | const

inline

Get first variable of explicit ring.

value_type polybori::MonomialFactory::operator() | ( | const value_type & | rhs | ) | const

inline

Indirect copy constructor.

value_type polybori::MonomialFactory::operator() | ( | value_type::var_type | var | ) | const

inline

Construct from Boolean variable (does not need ring)

value_type polybori::MonomialFactory::operator() | ( | const value_type::exp_type & | rhs | ) | const

inline

Construct from exponent vector.

value_type polybori::MonomialFactory::operator() | ( | const value_type::exp_type & | rhs,
|  | const value_type::ring_type & | ring
| ) |  | const

inline

Construct from exponent vector and explicit ring.

The documentation for this class was generated from the following file:

- MonomialFactory.h